File: changelog

package info (click to toggle)
libevdev 1.5.6+dfsg-1
  • links: PTS, VCS
  • area: main
  • in suites: stretch
  • size: 2,184 kB
  • ctags: 1,594
  • sloc: ansic: 8,764; sh: 4,195; makefile: 204; python: 171
file content (247 lines) | stat: -rw-r--r-- 7,512 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
libevdev (1.5.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 05 Jan 2017 23:32:44 +0100

libevdev (1.5.5+dfsg-1) unstable; urgency=medium

  * New upstream release, obsoleting reproducible-builds.patch.

 -- Stephen Kitt <skitt@debian.org>  Thu, 01 Dec 2016 09:03:13 +0100

libevdev (1.5.4+dfsg-2) unstable; urgency=medium

  * Fix FTCBFS (Closes: #842989; thanks to Helmut Grohne):
    - annotate Python build-dependency with :native;
    - use triplet-prefixed pkg-config.
  * Switch to debhelper compatibility level 10.

 -- Stephen Kitt <skitt@debian.org>  Thu, 03 Nov 2016 23:14:31 +0100

libevdev (1.5.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 26 Aug 2016 23:10:52 +0200

libevdev (1.5.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Tue, 23 Aug 2016 09:25:04 +0200

libevdev (1.5.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Build-depend on graphviz, the doxygen documentation needs it.

 -- Stephen Kitt <skitt@debian.org>  Wed, 15 Jun 2016 21:10:28 +0200

libevdev (1.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 16 May 2016 15:51:49 +0200

libevdev (1.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Switch to https: VCS URIs (see #810378).
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no change required.
  * Update debian/copyright.
  * Enable full hardening.
  * Avoid installing useless .md5 files generated by doxygen.

 -- Stephen Kitt <skitt@debian.org>  Fri, 13 May 2016 21:27:09 +0200

libevdev (1.4.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 07 Jan 2016 17:23:10 +0100

libevdev (1.4.5+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 11 Nov 2015 23:07:12 +0100

libevdev (1.4.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 02 Sep 2015 23:15:53 +0200

libevdev (1.4.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 22 Jun 2015 22:39:48 +0200

libevdev (1.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 24 Apr 2015 20:56:45 +0200

libevdev (1.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop duplicate entry from debian/copyright and add repacksuffix in
    debian/watch for newer versions of mk-origtargz.

 -- Stephen Kitt <skitt@debian.org>  Sat, 11 Apr 2015 16:12:11 +0200

libevdev (1.4+dfsg-1) unstable; urgency=medium

  * New upstream release, providing a new tool, libevdev-tweak-device.

 -- Stephen Kitt <skitt@debian.org>  Sat, 07 Mar 2015 21:42:50 +0100

libevdev (1.3.2+dfsg-2) unstable; urgency=medium

  * Mark libevdev2 as Multi-Arch: same (Closes: #770294); thanks to
    Andreas Beckmann for pointing out the issue!
  * Stop including timestamps in the generated documentation (they
    prevent reproducible builds).
  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Sun, 08 Feb 2015 21:14:55 +0100

libevdev (1.3.2+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 05 Dec 2014 21:28:00 +0100

libevdev (1.3.1+dfsg-1) experimental; urgency=medium

  * New upstream release, uploaded to experimental for the Jessie freeze.
  * Update the FSF's address in debian/copyright.
  * Standards-Version 3.9.6, no change required.
  * Remove doxygen's SQLite database on cleanup.

 -- Stephen Kitt <skitt@debian.org>  Sat, 15 Nov 2014 11:20:50 +0100

libevdev (1.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * libevdev should really have priority optional rather than extra.
  * Add upstream's signing key and use it in debian/watch.

 -- Stephen Kitt <skitt@debian.org>  Tue, 09 Sep 2014 07:59:54 +0200

libevdev (1.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Ship a udeb for the installer (Closes: #750698).

 -- Stephen Kitt <skitt@debian.org>  Fri, 06 Jun 2014 00:13:49 +0200

libevdev (1.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 14 May 2014 07:22:30 +0200

libevdev (1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add libevdev-tools package for touchpad-edge-detector.

 -- Stephen Kitt <skitt@debian.org>  Thu, 01 May 2014 23:05:02 +0200

libevdev (1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 29 Mar 2014 23:43:56 +0100

libevdev (1.0.99.2+dfsg-3) unstable; urgency=medium

  * Disable the autopkgtests for now (sorry), making them run reliably in
    CI environments is proving rather harder than I thought it would
    be. (This addresses #742250 but not properly, so I'm not closing it
    yet.)

 -- Stephen Kitt <skitt@debian.org>  Wed, 26 Mar 2014 21:40:58 +0100

libevdev (1.0.99.2+dfsg-2) unstable; urgency=medium

  * Copy the autopkgtest tests to a temporary folder, and make sure the
    tests use the installed libevdev binaries. Thanks to Jakub Wilk and
    Martin Pitt for their explanations of the autopkgtest features!

 -- Stephen Kitt <skitt@debian.org>  Wed, 19 Mar 2014 23:09:46 +0100

libevdev (1.0.99.2+dfsg-1) unstable; urgency=medium

  * New upstream release candidate.
  * Correct VCS browser URL.

 -- Stephen Kitt <skitt@debian.org>  Wed, 19 Mar 2014 22:40:13 +0100

libevdev (1.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Fri, 14 Mar 2014 07:57:49 +0100

libevdev (1.0+dfsg-2) unstable; urgency=medium

  * Add Pre-Depends, thanks to Michael Terry for pointing out that it was
    missing.
  * Add DEP8 tests, thanks to Michael Terry (again) for the prod.

 -- Stephen Kitt <skitt@debian.org>  Thu, 06 Mar 2014 00:08:28 +0100

libevdev (1.0+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Tue, 18 Feb 2014 22:55:14 +0100

libevdev (0.9.1+dfsg-1) unstable; urgency=medium

  * Repack, removing doc/html (which is renegerated at build-time) to
    avoid shipping the sourceless minified jquery.js in the source package
    (thanks to Ansgar Burchardt for pointing this out).
  * Update debian/copyright (thanks also to Ansgar Burchardt).
  * Add Built-Using field to ensure all the source for the generated
    files is kept in the archive.

 -- Stephen Kitt <skitt@debian.org>  Wed, 12 Feb 2014 07:34:32 +0100

libevdev (0.9.1-1) unstable; urgency=medium

  * New upstream version, with new soname.

 -- Stephen Kitt <skitt@debian.org>  Sat, 01 Feb 2014 19:29:30 +0100

libevdev (0.6-1) unstable; urgency=medium

  * New upstream version.
  * Standards-Version 3.9.5, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 24 Dec 2013 00:04:21 +0100

libevdev (0.5-1) unstable; urgency=low

  * New upstream version.
  * libevdev is for Linux only, limit the architectures accordingly.

 -- Stephen Kitt <skitt@debian.org>  Fri, 22 Nov 2013 01:04:28 +0100

libevdev (0.4.1-1) unstable; urgency=low

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Tue, 05 Nov 2013 23:07:02 +0100

libevdev (0.4-1) unstable; urgency=low

  * Initial release (Closes: #722631, LP: #1223304).

 -- Stephen Kitt <skitt@debian.org>  Wed, 18 Sep 2013 21:02:30 +0200